using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ПроверкаПродукции
{
    internal class Program
    {
        [STAThread]
        static void Main(string[] args)
        {
            FileWork fileWork = new FileWork();
            Decision decision = new Decision();
            while (true)
            {
                fileWork.VvodNameFile(); // Выбор файла источника
                decision.vhod = fileWork.GetData(); // Взяттие входных данных
                decision.ShowVhodData(); // Вывод входных данных
                Console.ReadKey();
                Console.Clear();
                decision.proverkaBrak(); // Проверка на брак
                decision.ShowBrak(); // Вывод детали с указанием соответсвия
                Console.ReadKey();
                Console.Clear();
                decision.GetProcentBrak(); // Вывод процента брака
                DebugAndTrace.test(decision.brak, decision.brak.Length, decision.vhod.Length);
                fileWork.SaveNameFile();
                char otv; // Переменная для диалога с пользователем
                while (true)
                {
                    try
                    {
                        Console.Write("\nПовторить программу?\nДа(Y)/Нет(N)\nОтвет: ");
                        otv = Convert.ToChar(Console.ReadLine());
                        break;
                    }
                    catch
                    {
                        Console.WriteLine("Введены некорректные данные!");
                    }
                }
                if (!(otv.Equals('Y') || otv.Equals('y') || otv.Equals('н') || otv.Equals('Н')))
                {
                    break;
                }
                else if (!(otv.Equals('N') || otv.Equals('N') || otv.Equals('Т') || otv.Equals('т')))
                {
                    Console.Clear();
                }
            }
        }
    }
}
